test: _NDIS_MAC_CHARACTERISTICS struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _NDIS_MAC_CHARACTERISTICS Struct Reference

`#include <ndismac.h>`

List of all members.

## Public Attributes

UCHAR | MajorNdisVersion
UCHAR | MinorNdisVersion
USHORT | Filler
UINT | Reserved
OPEN_ADAPTER_HANDLER | OpenAdapterHandler
CLOSE_ADAPTER_HANDLER | CloseAdapterHandler
SEND_HANDLER | SendHandler
TRANSFER_DATA_HANDLER | TransferDataHandler
RESET_HANDLER | ResetHandler
REQUEST_HANDLER | RequestHandler
QUERY_GLOBAL_STATISTICS_HANDLER | QueryGlobalStatisticsHandler
UNLOAD_MAC_HANDLER | UnloadMacHandler
ADD_ADAPTER_HANDLER | AddAdapterHandler
REMOVE_ADAPTER_HANDLER | RemoveAdapterHandler
NDIS_STRING | Name

## Member Data Documentation

ADD_ADAPTER_HANDLER _NDIS_MAC_CHARACTERISTICS::AddAdapterHandler

| Definition at line 197 of file ndismac.h.

CLOSE_ADAPTER_HANDLER _NDIS_MAC_CHARACTERISTICS::CloseAdapterHandler

| Definition at line 190 of file ndismac.h.

USHORT _NDIS_MAC_CHARACTERISTICS::Filler

| Definition at line 187 of file ndismac.h.

UCHAR _NDIS_MAC_CHARACTERISTICS::MajorNdisVersion

| Definition at line 185 of file ndismac.h.

UCHAR _NDIS_MAC_CHARACTERISTICS::MinorNdisVersion

| Definition at line 186 of file ndismac.h.

NDIS_STRING _NDIS_MAC_CHARACTERISTICS::Name

| Definition at line 199 of file ndismac.h.

OPEN_ADAPTER_HANDLER _NDIS_MAC_CHARACTERISTICS::OpenAdapterHandler

| Definition at line 189 of file ndismac.h.

QUERY_GLOBAL_STATISTICS_HANDLER _NDIS_MAC_CHARACTERISTICS::QueryGlobalStatisticsHandler

| Definition at line 195 of file ndismac.h.

REMOVE_ADAPTER_HANDLER _NDIS_MAC_CHARACTERISTICS::RemoveAdapterHandler

| Definition at line 198 of file ndismac.h.

REQUEST_HANDLER _NDIS_MAC_CHARACTERISTICS::RequestHandler

| Definition at line 194 of file ndismac.h.

UINT _NDIS_MAC_CHARACTERISTICS::Reserved

| Definition at line 188 of file ndismac.h.

RESET_HANDLER _NDIS_MAC_CHARACTERISTICS::ResetHandler

| Definition at line 193 of file ndismac.h.

SEND_HANDLER _NDIS_MAC_CHARACTERISTICS::SendHandler

| Definition at line 191 of file ndismac.h.

TRANSFER_DATA_HANDLER _NDIS_MAC_CHARACTERISTICS::TransferDataHandler

| Definition at line 192 of file ndismac.h.

UNLOAD_MAC_HANDLER _NDIS_MAC_CHARACTERISTICS::UnloadMacHandler

| Definition at line 196 of file ndismac.h.

The documentation for this struct was generated from the following file:

- ndismac.h